<template>
  <div>
    <page-background />
    <div class="pricing">
      <h2 :class="`text-${selectedHackathon.color} text-4xl text-center`">
        {{ $t(`${selectedHackathon.id}.title`) }}
      </h2>
      <p class="text-white py-4">
        {{ $t(`${selectedHackathon.id}.description`) }}
      </p>
      <div class="quota-list" >
        <quota
          v-for="(quota, index) in selectedHackathon.quotas"
          :key="`quota_${index}`"
          :name="quota.name"
          :prices="quota.prices"
          :benefitsList="quota.benefitsList"
          :color="selectedHackathon.color"
          :id="index"
          :hackId="$route.params.id"
        />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { mapGetters, mapMutations } from 'vuex';

import PageBackground from '@/components/PageBackground.vue';
import Quota from '@/components/Quota.vue';

export default Vue.extend({
  components: {
    PageBackground,
    Quota,
  },

  computed: {
    ...mapGetters({
      selectedHackathon: 'selectedHackathon',
    }),
  },

  methods: {
    ...mapMutations({
      selectEvent: 'selectEvent',
    }),
  },

  beforeMount(): void {
    this.selectEvent(this.$route.params.id);
  },
});
</script>

<style lang="postcss">
.pricing {
  @apply absolute px-8 py-4 h-screen w-screen z-10 overflow-y-scroll;
}
</style>
